aboutsummaryrefslogtreecommitdiffstats
path: root/roms/skiboot/opal-ci/build-ubuntu-latest.sh
diff options
context:
space:
mode:
Diffstat (limited to 'roms/skiboot/opal-ci/build-ubuntu-latest.sh')
-rwxr-xr-xroms/skiboot/opal-ci/build-ubuntu-latest.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/roms/skiboot/opal-ci/build-ubuntu-latest.sh b/roms/skiboot/opal-ci/build-ubuntu-latest.sh
new file mode 100755
index 000000000..ea27bba32
--- /dev/null
+++ b/roms/skiboot/opal-ci/build-ubuntu-latest.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+
+set -uo pipefail
+set -e
+set -vx
+
+MAKE_J=$(nproc)
+
+export CROSS="ccache powerpc64le-linux-gnu-"
+
+make -j${MAKE_J} all
+make -j${MAKE_J} check
+(make clean; cd external/gard && CROSS= make -j${MAKE_J})
+( cd external/pflash;
+ echo "Building for ARM..."
+ make clean && make distclean
+ CROSS_COMPILE=arm-linux-gnueabi- make || { echo "ARM build failed"; exit 1; }
+)
+(cd external/pflash; make clean && make distclean && make)
+# GCOV build disabled for GCC 8.2
+# https://github.com/open-power/skiboot/issues/206
+# make clean
+# SKIBOOT_GCOV=1 make -j${MAKE_J}
+# SKIBOOT_GCOV=1 make -j${MAKE_J} check
+
+make clean
+rm -rf builddir
+mkdir builddir
+make SRC=$(pwd) -f ../Makefile -C builddir -j${MAKE_J}
+make clean